unit U_QXGL;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxStyles, cxCustomData, cxGraphics, cxFilter, cxData, cxDataStorage,
  cxEdit, DB, cxDBData, cxButtonEdit, cxDropDownEdit, ComCtrls, ToolWin,
  cxGridLevel, cxGridCustomTableView, cxGridTableView, cxGridDBTableView,
  cxClasses, cxControls, cxGridCustomView, cxGrid, DBClient, ADODB;

type
  TfrmQXGL = class(TForm)
    cxGrid2: TcxGrid;
    TV3: TcxGridDBTableView;
    V2Column3: TcxGridDBColumn;
    V2Column2: TcxGridDBColumn;
    V2Column1: TcxGridDBColumn;
    V2Column4: TcxGridDBColumn;
    V3Column1: TcxGridDBColumn;
    cxGridLevel1: TcxGridLevel;
    CDS_SQ: TClientDataSet;
    DS_SQ: TDataSource;
    ADOQueryTemp: TADOQuery;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    FM_HXCODE: string;
    { Public declarations }
  end;

var
  frmQXGL: TfrmQXGL;

implementation

uses
  U_DataLink, U_ZDYHelp, U_RTFun, U_ZdyAttachGYS, U_CompressionFun;
{$R *.dfm}

procedure TfrmQXGL.FormShow(Sender: TObject);
begin
  with ADOQueryTemp do
  begin
    Close;
    sql.Clear;
    sql.Add('select A.* ');

    sql.Add('from Sketch_BQSD A ');

    sql.Add(' where A.HxCode=' + quotedstr(Trim(FM_HXCODE)));
    Open;
  end;
  SCreateCDS20(ADOQueryTemp, CDS_SQ);
  SInitCDSData20(ADOQueryTemp, CDS_SQ);
end;

end.

